<script setup>
import {useFetchCategorys} from "@/stores/models/category/getCategory";
import {computed} from "vue";

useFetchCategorys().fetchCategorys()
const categories = computed(() => useFetchCategorys().getCategories)
</script>

<template>
  <div class="col-12 col-md-4 col-lg-3 mb-4">
                <div class="list-group">
                   <router-link
                       v-for="category in categories"
                       :key="category.id"
                       :to="'/categories/' + category.id"
                       class="list-group-item list-group-item-action"
                   >
                       {{category.name}}
                   </router-link>
                </div>
            </div>
</template>

<style scoped>

</style>